import type { _NSTextFieldCell } from "./NSTextFieldCell.js";
import type { _NSView } from "./NSView.js";
import type { CGRect } from "../structs/CGRect.js";
export declare class _NSTableHeaderCell extends _NSTextFieldCell {
    static alloc(): _NSTableHeaderCell;
    static new(): _NSTableHeaderCell;
    init(): _NSTableHeaderCell;
    /**
     * Draws a sorting indicator given a cellFrame. If priority is 0, this is the primary sort indicator. If ascending is YES, a "^" indicator will be drawn. Override this routine to customimze the sorting UI.
     */
    drawSortIndicatorWithFrame$inView$ascending$priority$(cellFrame: CGRect, controlView: _NSView, ascending: boolean, priority: number): void;
    /** Returns the location to display the sorting indicator given the cellFrame. */
    sortIndicatorRectForBounds$(rect: CGRect): CGRect;
}
